, AndyC wrote

@figuerres: It's no different to the situation when .NET 3.0 came out.

No different in the confusion? I think there is a subtle nuance that you have missed. When .NET 3.0 came out you could run side by side installations (I have Visual Studio 2005, 2008 and 2010 on the same box). In my add remove programs I have .NET 2.0, 3.0, 3.5 and .NET 4.0. There is no confusion.

I am not looking for a flame-war or anything, just clarification so 9ers and I can start to tell our sys admins and other developers what they need to do. I have .NET 4 applications that went berserk when I installed Dev 11 on a machine with Dev 10